#
# spec file for package ip_resend (Version 0.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ip_resend
Copyright:    GPL
Group:        Networking/Daemons
Provides:     ip_resend
Autoreqprov:  on
URL:          http://www.baty.hanse.de/ip_resend
Version:      0.3
Release:      79
Summary:      demand dial accelerator
Source:       ip_resend-0.3.tar.bz2
Patch:        ip_resend-0.3.diff
Buildroot:    /var/tmp/ip_resend.build

%description
The response to the first packet sent through a demand dial ppp link is usually lost,
especially with dynamic IP assignment, but also if dialin takes longer time.
The upper layers recover from such loss only after a noticable delay. ip_resend
eliminates such delays by resending the first packet with adjusted ip-addresses as 
soon as the link becomes operational.

Authors:
--------
    Henner Eisen <eis@baty.hanse.de>

SuSE series: n

%prep
# remove old directory
if [ "X" != "${RPM_BUILD_ROOT}X" ]; then
        rm -rf $RPM_BUILD_ROOT
fi
%setup
%patch -p1

%build
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man8
make DESTDIR=$RPM_BUILD_ROOT install
install -d $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
install README.de $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
install README $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}

%clean

%post

%files
%dir /var/ip_resend
%dir /usr/share/man/man8
%doc %{_defaultdocdir}/%{name}
%doc /usr/share/man/man8/ip_resend.8.gz
%doc /usr/share/man/man8/ip_resend_wakeup.8.gz
/usr/sbin/ip_resend
/usr/sbin/ip_resend_wakeup

%changelog -n ip_resend
* Fri Mar 30 2001 - kkeil@suse.de
- new package possible to avoid problems like BUG 3849
